/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {WorkerLightResponse} from "./workerLightResponse";
import {SubContractorLightResponse} from "./subContractorLightResponse";
import {AlertPrincipalResponse} from "./alertPrincipalResponse";
import {FloorFlyWeightResponse} from "./floorFlyWeightResponse";
import {FloorPlanFlyWeightResponse} from "./floorPlanFlyWeightResponse";
import {ZoneResponse} from "./zoneResponse";
import {PointFResponse} from "./pointFResponse";

export class WorkerAlertResponse {
    public worker: WorkerLightResponse;

    public subContractor: SubContractorLightResponse;

    public alert: AlertPrincipalResponse;

    public floor: FloorFlyWeightResponse;

    public floorPlan: FloorPlanFlyWeightResponse;

    public zone: ZoneResponse;

    public position: PointFResponse;

    /**
     * Creates a WorkerAlertResponse.
     *
     * @param {WorkerLightResponse} worker
     * @param {SubContractorLightResponse} subContractor
     * @param {AlertPrincipalResponse} alert
     * @param {FloorFlyWeightResponse} floor
     * @param {FloorPlanFlyWeightResponse} floorPlan
     * @param {ZoneResponse} zone
     * @param {PointFResponse} position
     */
    constructor(worker: WorkerLightResponse, subContractor: SubContractorLightResponse, alert: AlertPrincipalResponse, floor: FloorFlyWeightResponse, floorPlan: FloorPlanFlyWeightResponse, zone: ZoneResponse, position: PointFResponse) {
        this.worker = worker;
        this.subContractor = subContractor;
        this.alert = alert;
        this.floor = floor;
        this.floorPlan = floorPlan;
        this.zone = zone;
        this.position = position;
    }
}